Data Structures | Macros | Functions
internal.h File Reference
libpurple

Internal definitions and includes. More...

`#include <locale.h>`
`#include <sys/stat.h>`
`#include <sys/types.h>`
`#include <sys/time.h>`
`#include <sys/wait.h>`
`#include <ctype.h>`
`#include <errno.h>`
`#include <fcntl.h>`
`#include <math.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <time.h>`
`#include <gmodule.h>`
`#include <netinet/in.h>`
`#include <sys/socket.h>`
`#include <arpa/inet.h>`
`#include <sys/un.h>`
`#include <sys/utsname.h>`
`#include <netdb.h>`
`#include <signal.h>`
`#include <unistd.h>`
`#include <glib.h>`
`#include <glib/gstdio.h>`
`#include <glib-object.h>`
`#include "account.h"`
`#include "connection.h"`

Go to the source code of this file.

## Data Structures
union | common_sockaddr_t

## Macros
#define | N_(String) (String)
#define | _(String) ((const char *)String)
#define | ngettext(Singular, Plural, Number) ((Number == 1) ? ((const char *)Singular) : ((const char *)Plural))
#define | dngettext(Domain, Singular, Plural, Number) ((Number == 1) ? ((const char *)Singular) : ((const char *)Plural))
#define | MSG_LEN 2048
#define | BUF_LEN MSG_LEN
#define | BUF_LONG BUF_LEN * 2
#define | HOST_NAME_MAX 255
#define | G_MAXSSIZE ((gssize) 0x7fffffff)
#define | G_GNUC_BEGIN_IGNORE_DEPRECATIONS
#define | G_GNUC_END_IGNORE_DEPRECATIONS
#define | purple_strlcpy(dest, src) g_strlcpy(dest, src, sizeof(dest))
#define | purple_strlcat(dest, src) g_strlcat(dest, src, sizeof(dest))
#define | PURPLE_WEBSITE "http://pidgin.im/"
#define | PURPLE_DEVEL_WEBSITE "http://developer.pidgin.im/"

## Functions
void | _purple_buddy_icons_account_loaded_cb (void)
void | _purple_buddy_icons_blist_loaded_cb (void)
void | _purple_buddy_icon_set_old_icons_dir (const char *dirname)
void | _purple_connection_new (PurpleAccount *account, gboolean regist, const char *password)
| Creates a connection to the specified account and either connects or attempts to register a new account. More...
void | _purple_connection_new_unregister (PurpleAccount *account, const char *password, PurpleAccountUnregistrationCb cb, void *user_data)
| Tries to unregister the account on the server. More...
void | _purple_connection_destroy (PurpleConnection *gc)
| Disconnects and destroys a PurpleConnection. More...
gboolean | _purple_network_set_common_socket_flags (int fd)
| Sets most commonly used socket flags: O_NONBLOCK and FD_CLOEXEC. More...

## Detailed Description

Internal definitions and includes.

Definition in file internal.h.

## Function Documentation

## ◆ _purple_connection_destroy()

void _purple_connection_destroy | ( | PurpleConnection * | gc | ) |

Disconnects and destroys a PurpleConnection.

Note
  This function should only be called by purple_account_disconnect() in account.c. If you're trying to sign off an account, use that function instead.

Parameters

  gc | The purple connection to destroy.

## ◆ _purple_connection_new()

void _purple_connection_new | ( | PurpleAccount * | account,
|  | gboolean | regist,
|  | const char * | password
| ) |  |

Creates a connection to the specified account and either connects or attempts to register a new account.

If you are logging in, the connection uses the current active status for this account. So if you want to sign on as "away," for example, you need to have called purple_account_set_status(account, "away"). (And this will call purple_account_connect() automatically).

Note
  This function should only be called by purple_account_connect() in account.c. If you're trying to sign on an account, use that function instead.

Parameters

  account | The account the connection should be connecting to.
  regist | Whether we are registering a new account or just trying to do a normal signon.
  password | The password to use.

## ◆ _purple_connection_new_unregister()

void _purple_connection_new_unregister | ( | PurpleAccount * | account,
|  | const char * | password,
|  | PurpleAccountUnregistrationCb | cb,
|  | void * | user_data
| ) |  |

Tries to unregister the account on the server.

If the account is not connected, also creates a new connection.

Note
  This function should only be called by purple_account_unregister() in account.c.

Parameters

  account | The account to unregister
  password | The password to use.
  cb | Optional callback to be called when unregistration is complete
  user_data | user data to pass to the callback

## ◆ _purple_network_set_common_socket_flags()

gboolean _purple_network_set_common_socket_flags | ( | int | fd | ) |

Sets most commonly used socket flags: O_NONBLOCK and FD_CLOEXEC.

Parameters

  fd | The file descriptor for the socket.

Returns
  TRUE if succeeded, FALSE otherwise.